## Navigazione nell'Internet
--
Finora non abbiamo parlato dei pericoli della rete,  
ma solo quelli del nostro dispositivo, considerandolo disconnesso.

--
### Come ci connettiamo?

 - Wifi? Cambiate la password di default.
 - [Disabilitate il WPS del router](https://www.tomshw.it/sistema-wps-router-vulnerabile-meglio-spegnerlo-37486).
 - Wifi pubbliche? usare VPN, vedi dopo.
 - Dal telefono, disabilitare il wifi quando non lo usate.
 - Preferite il cavo di rete quando potete.

notes:
i dispositivi wifi broadcastano i MAC ai router se non impostati per non farlo (esempio metro di londra)
https://tfl.gov.uk/corporate/publications-and-reports/wifi-data-collection
--
## E una volta connesso?
 - Il browser, quale usare? (vedi software libero)
 - E sul telefono?
--
## Buoni comportamenti sul web
 - Controlla la barra di navigazione (https? il sito è giusto?)
 - Sui link sospetti, controlla prima di cliccarci sopra
 - Cambiare motore di ricerca di default (usate duckduckgo)
 - Salvare le password? (meglio di no)
 - Usate Tor Browser
 - Usate i Feed/RSS
 - Usate profili differenti o containers
--
## Estensioni
 - duckduckgo privacy essentials
 - disconnect
 - ublock/adblock plus
 - decentraleyes
 - facebook container / multi-account containers
--
### Navigazione anonima/incognito
Non c'entra niente con l'anonimato, al massimo protegge dagli attacchi di
vostra madre che vi guarda la cronologia mentre andate in bagno.

E' una modalità di navigazione che, contrariamente a quanto avviene normalmente,
non tiene conto della vostra sessione di navigazione:

- non salva la cronologia
- i file scaricati non vengono mostrati nei download
- niente cache
- non salva i cookie (non sono loggato in sessioni successive)